Package be.fgov.ehealth.idsupport.core.v2

# Class ProviderInfoDetailType

java.lang.Object
be.fgov.ehealth.idsupport.core.v2.ProviderInfoDetailType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:38+02:00", comments="JAXB RI v4.0.5") public class ProviderInfoDetailType extends Object implements Serializable
Extra information detail returned by provider on the status of the processed request.

Java class for ProviderInfoDetailType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ProviderInfoDetailType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="FieldName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="FieldValue" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProviderInfoDetailType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFieldName()`
  Gets the value of the fieldName property.
  `String`
  `getFieldValue()`
  Gets the value of the fieldValue property.
  `void`
  `setFieldName(String value)`
  Sets the value of the fieldName property.
  `void`
  `setFieldValue(String value)`
  Sets the value of the fieldValue property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProviderInfoDetailType

    public ProviderInfoDetailType()

- ## Method Details

  - ### getFieldName

    public String getFieldName()
    Gets the value of the fieldName property.
    Returns:
      possible object is `String`

  - ### setFieldName

    public void setFieldName(String value)
    Sets the value of the fieldName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getFieldValue

    public String getFieldValue()
    Gets the value of the fieldValue property.
    Returns:
      possible object is `String`

  - ### setFieldValue

    public void setFieldValue(String value)
    Sets the value of the fieldValue property.
    Parameters:
      `value` - allowed object is `String`